Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jul 2015 11:18:59 +0300

> From: Mark Karpov <[email-masked]>
> Date: Fri, 03 Jul 2015 13:33:15 +0600
> 
> OK, ‘auto-revert-handler’ is indeed called every 5 seconds, there is no
> problem with that. However, see its source code and you will see lexical
> variable called ‘revert’. This is always nil is my experiment. I checked
> that ‘buffer-stale-function’ and ‘dired-directory-changed-p’ return t
> after changes made by my script, however value of ‘revert’ doesn't
> reflect this, it's always nil, so the rest of ‘auto-revert-handler’
> (that is contained in (when revert ...)) doesn't undertake any actions
> to revert the buffer. This is how it happens, I think. Any further
> recommendations?

Did you see all of this happening in "emacs -Q"?  If not, please try
with "emacs -Q", and see if the problem exists there as well.

Also, did you try loading autorevert.el by hand (the .el file, not the
.elc file), and if so, did that help?

Finally, when you say that 'revert's value doesn't reflect what it
should, did you actually insert 'message' printouts into the code, and
saw that happening?  If not, please try that, I'd like to see an
explicit evidence that assigning a value to that variable somehow
doesn't work there.

Thanks.